package cn.superdesk.uniorder.dao.mapper.organisation;

import cn.superdesk.uniorder.dao.entity.organisation.UnifiedSupplier;
import cn.superdesk.uniorder.dao.entity.organisation.UnifiedSupplierExample;
import java.util.List;
import java.util.Map;

import cn.superdesk.uniorder.dto.param.organisation.SysSupplierQueryParam;
import cn.superdesk.uniorder.dto.vo.sys.SysSelectVo;
import cn.superdesk.uniorder.dto.vo.sys.SysSupplierVo;
import org.apache.ibatis.annotations.Param;

public interface UnifiedSupplierMapper {
    long countByExample(UnifiedSupplierExample example);

    int deleteByExample(UnifiedSupplierExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedSupplier record);

    int insertSelective(UnifiedSupplier record);

    List<UnifiedSupplier> selectByExample(UnifiedSupplierExample example);

    UnifiedSupplier selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedSupplier record, @Param("example") UnifiedSupplierExample example);

    int updateByExample(@Param("record") UnifiedSupplier record, @Param("example") UnifiedSupplierExample example);

    int updateByPrimaryKeySelective(UnifiedSupplier record);

    int updateByPrimaryKey(UnifiedSupplier record);

    List<SysSupplierVo> findSupplierList(SysSupplierQueryParam param);

    List<SysSelectVo> selectList(Map<String,Object> params);
}